summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Erik Hanson2012-04-08 16:54:24 +0200
committer dsomero2012-04-08 16:54:24 +0200
commit00fe1301c6a332f831e385844573679b03913a10 (patch)
tree59c48a46344c99e65af207736ed226c7122b4d68 /audio
parentb291fd0506aa875e999851d1b5ac983c51522b1e (diff)
downloadslackbuilds-00fe1301c6a332f831e385844573679b03913a10.tar.gz
audio/xmp: Added (Extended Module Player)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/xmp/README3
-rw-r--r--audio/xmp/doinst.sh15
-rw-r--r--audio/xmp/slack-desc19
-rw-r--r--audio/xmp/xmp.SlackBuild102
-rw-r--r--audio/xmp/xmp.info10
5 files changed, 149 insertions, 0 deletions
diff --git a/audio/xmp/README b/audio/xmp/README
new file mode 100644
index 0000000000..f7bfbf1cd5
--- /dev/null
+++ b/audio/xmp/README
@@ -0,0 +1,3 @@
+The Extended Module Player, or xmp, is a portable command-line module player
+for Unix and Unix-like systems. Xmp plays over 90 mainstream and obscure
+module formats from Amiga, Atari, Acorn, Apple IIgs and PC.
diff --git a/audio/xmp/doinst.sh b/audio/xmp/doinst.sh
new file mode 100644
index 0000000000..a0f6136448
--- /dev/null
+++ b/audio/xmp/doinst.sh
@@ -0,0 +1,15 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/xmp/xmp.conf.new
+config etc/xmp/modules.conf.new
diff --git a/audio/xmp/slack-desc b/audio/xmp/slack-desc
new file mode 100644
index 0000000000..dfb311ca0b
--- /dev/null
+++ b/audio/xmp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+xmp: xmp (Extended Module Player)
+xmp:
+xmp: The Extended Module Player, or xmp, is a portable command-line
+xmp: module player for Unix and Unix-like systems. Xmp plays over 90
+xmp: mainstream and obscure module formats from Amiga, Atari, Acorn,
+xmp: Apple IIgs and PC.
+xmp:
+xmp:
+xmp:
+xmp:
+xmp:
diff --git a/audio/xmp/xmp.SlackBuild b/audio/xmp/xmp.SlackBuild
new file mode 100644
index 0000000000..ea86b8feb7
--- /dev/null
+++ b/audio/xmp/xmp.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+#
+# Slackware build script for Extended Module Player (xmp)
+#
+# Copyright 2012 Erik W. Hanson, Minneapolis, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xmp
+VERSION=${VERSION:-3.5.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -ue
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/man/ \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --enable-audacious-plugin \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+gzip -9 $PKG/usr/man/man?/*.?
+
+mv $PKG/etc/xmp/modules.conf{,.new}
+mv $PKG/etc/xmp/xmp.conf{,.new}
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cd docs
+cp -a COPYING CREDITS ChangeLog README.awebug README.fixloop README.os2 \
+ README.trackers README.unsqsh adlib_sb.txt ay-3-8912.txt formats/ \
+ pt_versions.txt st02-ok.sample $PKG/usr/doc/$PRGNAM-$VERSION
+cd ..
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/xmp/xmp.info b/audio/xmp/xmp.info
new file mode 100644
index 0000000000..e0739f539b
--- /dev/null
+++ b/audio/xmp/xmp.info
@@ -0,0 +1,10 @@
+PRGNAM="xmp"
+VERSION="3.5.0"
+HOMEPAGE="http://xmp.sourceforge.net/"
+DOWNLOAD="http://sourceforge.net/projects/xmp/files/xmp/3.5.0/xmp-3.5.0.tar.gz"
+MD5SUM="47e54e6dfa88ce37370054d4a3ea955f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="dsomero"